guacamole-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Nick Couchman <vn...@apache.org>
Subject Re: SSH and ED25519 not supported?
Date Thu, 30 May 2019 15:07:03 GMT
On Thu, May 30, 2019 at 9:24 AM Thomas Plant <thomas@plant.systems.invalid>
wrote:

> Hi,
>
> installed guacamole 1.0.0 with MySQL database and Centos 7 as OS. I am
> trying to setup an ssh connection with an ED25519 key.
> On connection I get the following error:
>
> May 30 14:10:40 Guacamole guacd[31189]: Auth key import failed: (null)
> May 30 14:10:40 Guacamole guacd: guacd[31189]: ERROR:#011Auth key import
> failed: (null)
>
> Is this not supported in 1.0.0? Found following thread:
> https://github.com/libssh2/libssh2/issues/39
> Which says that it should work. Or do I have to compile from the git
> sources?
>
>
guacd relies on libssh2 for support for various SSH-related functions,
including the key formats.  CentOS7 ships with a pretty old version of
libssh2, one which I believe lacks support for the key formats you
mentioned.  You may need to update the version of libssh2 on your CentOS
install in order to get it to work properly.

-Nick

Mime
View raw message